Bug 461354 - "package file is a manifest" not documented for -F/-U/-i
"package file is a manifest" not documented for -F/-U/-i
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-06 08:06 EDT by Ville Skyttä
Modified: 2009-04-14 03:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 03:13:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
More man page clarifications (2.60 KB, patch)
2009-04-06 16:23 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2008-09-06 08:06:46 EDT
The "package file is a manifest" fallback behavior which is documented for -p/--package for queries appears to also be in effect for -F, -U, and -i in addition to queries:

$ echo bar > foo
$ sudo rpm -ivh foo
error: open of bar failed: No such file or directory

This is not documented in the rpm man page, would be nice to see it mentioned there.
Comment 1 Jeff Johnson 2008-09-06 16:29:44 EDT
Please make sure that behavior with /dev/random is fully documented as well.
Comment 2 Panu Matilainen 2008-09-18 06:29:39 EDT
Manifest behavior is now documented in the install/upgrade-options of updatream (english) man-page.

Behavior with /dev/random is as expected so I don't see it needing extra documentation ;)
Comment 3 Ville Skyttä 2009-04-06 16:23:35 EDT
Created attachment 338390 [details]
More man page clarifications

I'd suggest some further clarification to the man page - currently it can be interpreted that the manifest behavior applies only to -F, not -U and -i.  Suggested patch against rpm.org master attached, along with a slight improvement to -F's description, and a syntax fix.
Comment 4 Panu Matilainen 2009-04-09 09:19:56 EDT
Applied upstream and included in 4.7.0-rc1. Can/will pull into older branches too, but I suppose this doesn't really need separate tracking for F9?
Comment 5 Ville Skyttä 2009-04-09 14:08:02 EDT
(In reply to comment #4)
> I suppose this doesn't really need separate tracking for F9?  

Not at all as far as I'm concerned.
Comment 6 Panu Matilainen 2009-04-14 03:13:44 EDT
Ok, lets close this then.

Note You need to log in before you can comment on or make changes to this bug.